Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.verisign.epp.codec.suggestion
Class EPPSuggestionFilter

    java.lang.Object
      com.verisign.epp.codec.suggestion.EPPSuggestionFilter

All Implemented Interfaces:
  EPPCodecComponent, java.io.Serializable, java.lang.Cloneable

    public class EPPSuggestionFilter

extends java.lang.Object
implements EPPCodecComponent

A Filter encapsulates all of the configurable aspects of a Suggestion request.

Author:
  jcolosi
See Also:
  Serialized Form

Constructor Summary
`EPPSuggestionFilter()` Constructor.
`EPPSuggestionFilter(org.w3c.dom.Element aElement)` Constructor.

Method Summary
`void` | `addAction(EPPSuggestionAction aAction)` Add an action.
`void` | `addTld(EPPSuggestionTld aTld)` Add a tld.
`java.lang.Object` | `clone()` clone an `EPPCodecComponent`.
`void` | `decode(org.w3c.dom.Element aElement)` decode a DOM element tree to initialize the instance attributes.
`org.w3c.dom.Element` | `encode(org.w3c.dom.Document aDocument)` encode instance into a DOM element tree.
`boolean` | `equals(java.lang.Object o)`
`java.util.HashMap<java.lang.String,WeightEnum>` | `getActionMap()` ActionMap getter.
`java.util.ArrayList<EPPSuggestionAction>` | `getActions()` Actions getter.
`WeightEnum` | `getActionWeight(java.lang.String aActionName)` Action Weight getter.
`java.lang.Boolean` | `getContentFilter()` Content filter getter.
`java.lang.Boolean` | `getCustomFilter()` Custom filter getter.
`WeightEnum` | `getForsale()` Forsale getter.
`EPPSuggestionGeo` | `getGeo()` Geo getter.
`UnsignedShort` | `getMaxLength()` Max length of the suggestion getter.
`UnsignedShort` | `getMaxResults()` Max results getter.
`java.util.ArrayList<EPPSuggestionTld>` | `getTlds()` Tlds getter.
`java.util.HashSet<java.lang.String>` | `getTldSet()` Tld set getter.
`java.lang.Boolean` | `getUseHyphens()` Use hyphens getter.
`java.lang.Boolean` | `getUseIdns()` Use idns getter.
`java.lang.Boolean` | `getUseNumbers()` Use numbers getter.
`java.lang.Boolean` | `getView()` Which view is enabled.
`java.lang.String` | `getViewString()` Return the string representation of the current view.
`boolean` | `hasAction(java.lang.String aName)` Has action been set.
`boolean` | `hasTld(java.lang.String aTld)` Has a tld been set.
`boolean` | `isGeo()` Is geo set.
`boolean` | `isGrid()` Is grid set.
`boolean` | `isTable()` Is table set.
`void` | `resetActions()` Reset actions.
`void` | `resetTlds()` Reset tlds.
`void` | `setContentFilter(boolean aContentFilter)` Content filter setter.
`void` | `setContentFilter(java.lang.String aContentFilterAsString)` Content filter setter.
`void` | `setCustomFilter(boolean aCustomfilter)` Custom filter setter.
`void` | `setCustomFilter(java.lang.String aCustomfilterAsString)` Custom filter setter.
`void` | `setForSale(java.lang.String aForsale)` For sale setter.
`void` | `setGeo(EPPSuggestionGeo aGeo)` Geo setter.
`void` | `setGridView()` Grid view setter.
`void` | `setMaxLength(short aMaxLength)` Max length setter.
`void` | `setMaxLength(java.lang.String aMaxLengthAsString)` Max length setter.
`void` | `setMaxResults(short aMaxResults)` Max results setter.
`void` | `setMaxResults(java.lang.String aMaxResultsAsString)` Max results setter.
`void` | `setTableView()` Table view setter.
`void` | `setUseHyphens(boolean aUseHyphens)` Use hyphens setter.
`void` | `setUseHyphens(java.lang.String aUseHyphensAsString)` Use hyphens setter.
`void` | `setUseIdns(boolean aUseIdns)` Use Idns setter.
`void` | `setUseIdns(java.lang.String aUseIdnsAsString)` Use Idns setter.
`void` | `setUseNumbers(boolean aUseNumbers)` Use numbers flag setter.
`void` | `setUseNumbers(java.lang.String aUseNumbersAsString)` Use numbers flag setter.
`void` | `setView(java.lang.String aViewAsString)` View setter.
`java.lang.String` | `toLogString()` Return string representation for logging purpose.
`java.lang.String` | `toString()` Implementation of `Object.toString`, which will result in an indented XML `String` representation of the concrete `EPPCodecComponent`.

Methods inherited from class java.lang.Object
`finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### EPPSuggestionFilter

    public EPPSuggestionFilter()

  Constructor.

### EPPSuggestionFilter

    public EPPSuggestionFilter(org.w3c.dom.Element aElement)
                        throws EPPDecodeException

  Constructor.

  Parameters:
    `aElement` - a dom element
  Throws:
    `EPPDecodeException`

Method Detail

### addAction

    public void addAction(EPPSuggestionAction aAction)
                   throws InvalidValueException

  Add an action.

  Parameters:
    `aAction` - an action
  Throws:
    `InvalidValueException`

### addTld

    public void addTld(EPPSuggestionTld aTld)
                throws InvalidValueException

  Add a tld.

  Parameters:
    `aTld` - a tld
  Throws:
    `InvalidValueException`

### setGeo

    public void setGeo(EPPSuggestionGeo aGeo)
                throws InvalidValueException

  Geo setter.

  Parameters:
    `aGeo` - a geo.
  Throws:
    `InvalidValueException`

### getActionMap

    public java.util.HashMap<java.lang.String,WeightEnum> getActionMap()

  ActionMap getter.

  Returns:
    an action map

### getActions

    public java.util.ArrayList<EPPSuggestionAction> getActions()

  Actions getter.

  Returns:
    actions

### getGeo

    public EPPSuggestionGeo getGeo()

  Geo getter.

  Returns:
    a geo

### getActionWeight

    public WeightEnum getActionWeight(java.lang.String aActionName)

  Action Weight getter.

  Parameters:
    `aActionName` - the action we want the weight
  Returns:
    a weight

### getContentFilter

    public java.lang.Boolean getContentFilter()

  Content filter getter.

  Returns:
    is content filtering enabled

### getCustomFilter

    public java.lang.Boolean getCustomFilter()

  Custom filter getter.

  Returns:
    is custom filtering enabled

### getForsale

    public WeightEnum getForsale()

  Forsale getter.

  Returns:
    the weight of forsale parameter.

### getMaxLength

    public UnsignedShort getMaxLength()

  Max length of the suggestion getter.

  Returns:
    max length of the suggestion

### getMaxResults

    public UnsignedShort getMaxResults()

  Max results getter.

  Returns:
    number of max results.

### getTlds

    public java.util.ArrayList<EPPSuggestionTld> getTlds()

  Tlds getter.

  Returns:
    tlds

### getTldSet

    public java.util.HashSet<java.lang.String> getTldSet()

  Tld set getter.

  Returns:
    tld set

### getUseHyphens

    public java.lang.Boolean getUseHyphens()

  Use hyphens getter.

  Returns:
    is use hyphen enabled

### getUseNumbers

    public java.lang.Boolean getUseNumbers()

  Use numbers getter.

  Returns:
    is use numbers enabled

### getUseIdns

    public java.lang.Boolean getUseIdns()

  Use idns getter.

  Returns:
    is use idns enabled

### getView

    public java.lang.Boolean getView()

  Which view is enabled.

  Returns:
    true if table view, false if grid view

### getViewString

    public java.lang.String getViewString()

  Return the string representation of the current view.

  Returns:
    string

### hasAction

    public boolean hasAction(java.lang.String aName)

  Has action been set.

  Parameters:
    `aName` - action name
  Returns:
    true if it is set

### hasTld

    public boolean hasTld(java.lang.String aTld)

  Has a tld been set.

  Parameters:
    `aTld` - tld
  Returns:
    `true` if it as been set; `false` otherwise.

### isGeo

    public boolean isGeo()

  Is geo set.

  Returns:
    true if it has been set

### isGrid

    public boolean isGrid()

  Is grid set.

  Returns:
    true if it has been set

### isTable

    public boolean isTable()

  Is table set.

  Returns:
    true if it has been set

### resetActions

    public void resetActions()

  Reset actions.

### resetTlds

    public void resetTlds()

  Reset tlds.

### setContentFilter

    public void setContentFilter(boolean aContentFilter)

  Content filter setter.

  Parameters:
    `aContentFilter` - content filter flag

### setContentFilter

    public void setContentFilter(java.lang.String aContentFilterAsString)

  Content filter setter.

  Parameters:
    `aContentFilterAsString` - content filter flag as string

### setCustomFilter

    public void setCustomFilter(boolean aCustomfilter)

  Custom filter setter.

  Parameters:
    `aCustomfilter` - a custom filter flag

### setCustomFilter

    public void setCustomFilter(java.lang.String aCustomfilterAsString)

  Custom filter setter.

  Parameters:
    `aCustomfilterAsString` - a custom filter flag

### setForSale

    public void setForSale(java.lang.String aForsale)
                    throws InvalidValueException

  For sale setter.

  Parameters:
    `aForsale` - for sale flag
  Throws:
    `InvalidValueException`

### setGridView

    public void setGridView()

  Grid view setter.

### setMaxLength

    public void setMaxLength(short aMaxLength)
                      throws InvalidValueException

  Max length setter.

  Parameters:
    `aMaxLength` - max length
  Throws:
    `InvalidValueException`

### setMaxLength

    public void setMaxLength(java.lang.String aMaxLengthAsString)
                      throws InvalidValueException

  Max length setter.

  Parameters:
    `aMaxLengthAsString` - max length as string
  Throws:
    `InvalidValueException`

### setMaxResults

    public void setMaxResults(short aMaxResults)
                       throws InvalidValueException

  Max results setter.

  Parameters:
    `aMaxResults` - max results
  Throws:
    `InvalidValueException`

### setMaxResults

    public void setMaxResults(java.lang.String aMaxResultsAsString)
                       throws InvalidValueException

  Max results setter.

  Parameters:
    `aMaxResultsAsString` - max results as string
  Throws:
    `InvalidValueException`

### setTableView

    public void setTableView()

  Table view setter.

### setUseHyphens

    public void setUseHyphens(boolean aUseHyphens)

  Use hyphens setter.

  Parameters:
    `aUseHyphens` - use hyphen flag

### setUseHyphens

    public void setUseHyphens(java.lang.String aUseHyphensAsString)

  Use hyphens setter.

  Parameters:
    `aUseHyphensAsString` - use hyphen flag as string

### setUseNumbers

    public void setUseNumbers(boolean aUseNumbers)

  Use numbers flag setter.

  Parameters:
    `aUseNumbers` - use number flag

### setUseNumbers

    public void setUseNumbers(java.lang.String aUseNumbersAsString)

  Use numbers flag setter.

  Parameters:
    `aUseNumbersAsString` - use number flag as string

### setUseIdns

    public void setUseIdns(boolean aUseIdns)

  Use Idns setter.

  Parameters:
    `aUseIdns` - use idns flag

### setUseIdns

    public void setUseIdns(java.lang.String aUseIdnsAsString)

  Use Idns setter.

  Parameters:
    `aUseIdnsAsString` - use idns flag as string

### setView

    public void setView(java.lang.String aViewAsString)
                 throws InvalidValueException

  View setter.

  Parameters:
    `aViewAsString` - as view
  Throws:
    `InvalidValueException`

### toLogString

    public java.lang.String toLogString()

  Return string representation for logging purpose.

  Returns:
    string

### toString

    public java.lang.String toString()

  Implementation of `Object.toString`, which will result in an indented XML `String` representation of the concrete `EPPCodecComponent`.

  Overrides:
    `toString` in class `java.lang.Object`
  Returns:
    Indented XML `String` if successful; `ERROR` otherwise.

### clone

    public java.lang.Object clone()
                           throws java.lang.CloneNotSupportedException

  Description copied from interface: `EPPCodecComponent`
  clone an `EPPCodecComponent`.

  Specified by:
    `clone` in interface `EPPCodecComponent`
  Overrides:
    `clone` in class `java.lang.Object`
  Returns:
    clone of concrete `EPPCodecComponent`
  Throws:
    `java.lang.CloneNotSupportedException` - standard Object.clone exception

### decode

    public void decode(org.w3c.dom.Element aElement)
                throws EPPDecodeException

  Description copied from interface: `EPPCodecComponent`
  decode a DOM element tree to initialize the instance attributes. The `aElement` argument represents the root DOM element and is used to traverse the DOM nodes for instance attribute values.
  For example, the <command> element of `EPPCommand` is passed into `decode` of EPPCommand to be decoded and used to set the instance attributes.

  Specified by:
    `decode` in interface `EPPCodecComponent`
  Parameters:
    `aElement` - root DOM element associated with instance
  Throws:
    `EPPDecodeException` - Error decoding the DOM element tree.

### encode

    public org.w3c.dom.Element encode(org.w3c.dom.Document aDocument)
                               throws EPPEncodeException

  Description copied from interface: `EPPCodecComponent`
  encode instance into a DOM element tree. A DOM Document is passed as an argument and functions as a factory for DOM objects. The root element associated with the instance is created and each instance attribute is appended as a child node.
  For example, the <command> element of `EPPCommand` is created and is used to append the attribute nodes of `EPPCommand`.

  Specified by:
    `encode` in interface `EPPCodecComponent`
  Parameters:
    `aDocument` - DOM document used as a factory of DOM objects.
  Returns:
    instance root DOM element along with attribute child nodes.
  Throws:
    `EPPEncodeException` - Error encoding the DOM element tree.

### equals

    public boolean equals(java.lang.Object o)

  Overrides:
    `equals` in class `java.lang.Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © VeriSign Inc. All Rights Reserved.